'use strict';

const { container } = require('nodewrite-core-container');

container.register('plugin', () => require(process.cwd()));

container.resolve((Hapi, plugin, test) => {

  const { lab, expect, describe, it, start, stop } = test;

  module.exports.lab = lab;

  describe(plugin.register.attributes.pkg.name, () => {

    const server = new Hapi.Server();

    lab.before((done) => start({ server, container, plugin, done }));
    lab.after((done) => stop({ server, done }));

    it('Registers route handler for api swagger docs.', (done) => {

      const api = server.select('api');
      const route = api.lookup('Core.Docs.Api.Index');
      expect(route).to.be.a.object();
      api.inject(route.path, (response) => {

        expect(response.statusCode).to.equal(200);
        done();
      });
    });

  });

});
